com.collabnet.ce.soap60.webservices.team

## Class TeamAppSoapStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.team.TeamAppSoapStub

- All Implemented Interfaces:
    ITeamAppSoap

      public class TeamAppSoapStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapStub
      implements ITeamAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeamAppSoapStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TeamSoapDO` | `createTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames)` Creates a new team
    `void` | `deleteTeam(String sessionId, String teamId)` Delete the team if team has no child
    `TeamSoapList` | `getChildTeamList(String sessionId, String parentTeamId)` Get list of child teams specific to parent team
    `TeamSoapDO` | `getTeamData(String sessionId, String teamId)` Get the team data for a team id.
    `TeamSoapList` | `getTeamListForProject(String sessionId, String projectId)` Get list of teams specific to project
    `UserSoapList` | `getTeamMemberList(String sessionId, String teamId)` Get list of team members specific to team
    `void` | `setTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version)` Update team data for given team Id

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TeamAppSoapStub

          public TeamAppSoapStub(String soapServerUrl)

  - ### Method Detail

    - #### createTeam

          public TeamSoapDO createTeam(String sessionId,
                                       String projectId,
                                       String title,
                                       String description,
                                       String parentTeamId,
                                       String teamOwnerUserName,
                                       String[] memberUserNames)
                                throws RemoteException

      Description copied from interface: `ITeamAppSoap`
      Creates a new team
      Specified by:
        `createTeam` in interface `ITeamAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project under which to create the new team
        `title` - The title of the new team
        `description` - The description of the new team
        `parentTeamId` - The id of the parent team
        `teamOwnerUserName` - The team owner name
        `memberUserNames` - The members of the team
      Returns:
        the team soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidProjectFault` - if invalid project id value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidTeamFault` - if invalid team id value was supplied.
        `RemoteException`

    - #### setTeamData

          public void setTeamData(String sessionId,
                                  String teamId,
                                  String title,
                                  String description,
                                  String teamOwnerUserName,
                                  String[] memberUserNames,
                                  int version)
                           throws RemoteException

      Description copied from interface: `ITeamAppSoap`
      Update team data for given team Id
      Specified by:
        `setTeamData` in interface `ITeamAppSoap`
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team Id.
        `title` - The team title.
        `description` - The team description.
        `teamOwnerUserName` - The team owner user name.
        `memberUserNames` - The member user names.
        `version` - The version number.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidTeamFault` - if invalid team id value was supplied.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if invalid version number was supplied.
        `RemoteException`

    - #### getTeamData

          public TeamSoapDO getTeamData(String sessionId,
                                        String teamId)
                                 throws RemoteException

      Description copied from interface: `ITeamAppSoap`
      Get the team data for a team id.
      Specified by:
        `getTeamData` in interface `ITeamAppSoap`
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team id.
      Returns:
        the team soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`

    - #### deleteTeam

          public void deleteTeam(String sessionId,
                                 String teamId)
                          throws RemoteException

      Description copied from interface: `ITeamAppSoap`
      Delete the team if team has no child
      Specified by:
        `deleteTeam` in interface `ITeamAppSoap`
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.DeleteTeamFault` - if team has child.
        `RemoteException`

    - #### getTeamListForProject

          public TeamSoapList getTeamListForProject(String sessionId,
                                                    String projectId)
                                             throws RemoteException

      Description copied from interface: `ITeamAppSoap`
      Get list of teams specific to project
      Specified by:
        `getTeamListForProject` in interface `ITeamAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project under which to create the new team.
      Returns:
        list of team for project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidProjectFault` - if invalid project id value was supplied.
        `RemoteException`

    - #### getChildTeamList

          public TeamSoapList getChildTeamList(String sessionId,
                                               String parentTeamId)
                                        throws RemoteException

      Description copied from interface: `ITeamAppSoap`
      Get list of child teams specific to parent team
      Specified by:
        `getChildTeamList` in interface `ITeamAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentTeamId` - The parent team id.
      Returns:
        list of child teams for given parent team id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`

    - #### getTeamMemberList

          public UserSoapList getTeamMemberList(String sessionId,
                                                String teamId)
                                         throws RemoteException

      Description copied from interface: `ITeamAppSoap`
      Get list of team members specific to team
      Specified by:
        `getTeamMemberList` in interface `ITeamAppSoap`
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team id.
      Returns:
        list of team members
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`

Copyright © 2020 CollabNet. All rights reserved.